/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */

/*
 *  (GLABELS) Label and Business Card Creation program for GNOME
 *
 *  stock.h:  Stock image module header file
 *
 *  Copyright (C) 2001-2002  Jim Evins <evins@snaught.com>.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

#ifndef __STOCK_H__
#define __STOCK_H__

#include <glib/gmacros.h>

G_BEGIN_DECLS

/* Stock names */

#define GL_STOCK_ARROW         "gl_stock_arrow"
#define GL_STOCK_TEXT          "gl_stock_text"
#define GL_STOCK_LINE          "gl_stock_line"
#define GL_STOCK_BOX           "gl_stock_box"
#define GL_STOCK_ELLIPSE       "gl_stock_ellipse"
#define GL_STOCK_IMAGE         "gl_stock_image"
#define GL_STOCK_BARCODE       "gl_stock_barcode"
#define GL_STOCK_MERGE         "gl_stock_merge"
#define GL_STOCK_PROPERTIES    "gl_stock_properties"
#define GL_STOCK_ORDER_TOP     "gl_stock_order_top"
#define GL_STOCK_ORDER_BOTTOM  "gl_stock_order_bottom"
#define GL_STOCK_ROTATE_LEFT   "gl_stock_rotate_left"
#define GL_STOCK_ROTATE_RIGHT  "gl_stock_rotate_right"
#define GL_STOCK_FLIP_HORIZ    "gl_stock_flip_horiz"
#define GL_STOCK_FLIP_VERT     "gl_stock_flip_vert"
#define GL_STOCK_ALIGN_LEFT    "gl_stock_align_left"
#define GL_STOCK_ALIGN_RIGHT   "gl_stock_align_right"
#define GL_STOCK_ALIGN_HCENTER "gl_stock_align_hcenter"
#define GL_STOCK_ALIGN_TOP     "gl_stock_align_top"
#define GL_STOCK_ALIGN_BOTTOM  "gl_stock_align_bottom"
#define GL_STOCK_ALIGN_VCENTER "gl_stock_align_vcenter"
#define GL_STOCK_CENTER_HORIZ  "gl_stock_center_horiz"
#define GL_STOCK_CENTER_VERT   "gl_stock_center_vert"
#define GL_STOCK_BUCKET_FILL   "gl_stock_bucket_fill"
#define GL_STOCK_PENCIL        "gl_stock_pencil"
#define GL_STOCK_HCHAIN        "gl_stock_hchain"
#define GL_STOCK_HCHAIN_BROKEN "gl_stock_hchain_broken"
#define GL_STOCK_VCHAIN        "gl_stock_vchain"
#define GL_STOCK_VCHAIN_BROKEN "gl_stock_vchain_broken"

void gl_stock_init (void);

G_END_DECLS

#endif
